#!/bin/bash

#SBATCH --job-name=nbody-cl
#SBATCH --output=results-cl/nbody-cl.log
#SBATCH --ntasks=1
#SBATCH --nodes=1
#SBATCH --cpus-per-task=1
#SBATCH --time=08:00:00
#SBATCH --mem-per-cpu=8G
#SBATCH --constraint=gpu
#SBATCH --reservation=fri

for KERNEL in 0 1 
do
    for WORKGROUPSIZE in 32 64 128 256 512 1024
    do
        for BODIES in 8 16 32 64 128 256 512 1024 2048 4096 8192 16384 32768 65536
        do
            for ITERS in {1..5} 
            do 
                ./nbody-cl $BODIES 100 $KERNEL $WORKGROUPSIZE
            done
        done
    done
done
