#!/bin/bash

#SBATCH --job-name=nbody-mp
#SBATCH --output=results-mp/nbody-mp.log
#SBATCH --ntasks=64
#SBATCH --nodes=1
#SBATCH --cpus-per-task=1
#SBATCH --time=8:00:00
#SBATCH --mem-per-cpu=8000
#SBATCH --constraint=AMD
#SBATCH --reservation=fri

export OMP_PLACES=cores
export OMP_PROC_BIND=close

for BODIES in 8 16 32 64 128 256 512 1024 2048 4096 8192 16384 32768 65536
do
    for THREADS in 1 2 4 8 16 32 64
    do
        export OMP_NUM_THREADS=$THREADS
        for ITERS in {1..5} 
        do
            ./nbody-mp $BODIES 100 
        done
    done
done
