#!/bin/bash

#SBATCH --job-name=nbody-mpi
#SBATCH --output=results-mpi/nbody-mpi.log
#SBATCH --ntasks=8
#SBATCH --nodes=2
#SBATCH --ntasks-per-node=4
#SBATCH --ntasks-per-socket=1
#SBATCH --cpus-per-task=1
#SBATCH --mem-per-cpu=1G
#SBATCH --time=08:00:00
#SBATCH --constraint=AMD
#SBATCH --reservation=fri
#SBATCH --exclusive

TASK=$SLURM_JOB_NAME

module load mpi

for BODIES in 128 256 512 1024 2048 4096 8192 16384 32768
do
	for ITER in {1..5}
	do 
		echo $BODIES $ITER
		srun --mpi=pmix --nodes=$SLURM_JOB_NUM_NODES --tasks=$SLURM_NTASKS $TASK $BODIES 100
	done
done
